Subject: Re: Host USB issue on MPC8272

From: David Beamonte <[email-masked]>
Date: Tue, 09 Sep 2008 08:18:10 +0200

Has anybody had a similar problem accessing external memory from CPMs?

Any idea on something I can try?

What is more critical? Accessing slow or quick external devices?

David

David Beamonte escribió:
> I have checked that bit and it is not set. In fact, that register has 
> the same value as the one in our ADS8272 (0x100c0000), which works.
>
> Anyway, it must be an issue of this kind, from the beginning I have 
> thought that we have a problem of arbitration of the bus that makes 
> the processor hang when the CPMs try to access external memory. Can it 
> be a problem of SDRAM configuration, wait-states or refresh times?
>
> Thanks Scott,
>
> David
>
>
> Scott Wood escribió:
>> David Beamonte wrote:
>>> This issue seems to be related to one problem that we have always 
>>> had. We can't configure buffers of SMCs, SCCs, etc, to be in SDRAM, 
>>> because the processor hangs. We always have to configure buffers in 
>>> DPRAM. In other drivers this has not been a problem, because the 
>>> buffer size is not very large, so we can allocate it in DPRAM, but 
>>> for this one, the buffer size is 0x8000 (32Kb) which exceeds DPRAM 
>>> size.
>>>
>>> Has anybody had the same problem? Can it be an USB specific problem 
>>> or a general one?
>>
>> Make sure that BCR[PLDP] is not set, as per erratum SIU18.
>>
>> -Scott
>>
>
>